<?php

	require("_init.php");
	require("_funcstd.php");
	require("_funcdb.php");
	require("_connect2.php");
	require("_login.class.php");

	$tblname = "tblpelang";

	$page = $_GET['page'];		// get the requested page 
	$limit = $_GET['rows'];		// get how many rows we want to have into the grid 
	$sidx = $_GET['sidx'];		// get index row - i.e. user click to sort 
	$sord = $_GET['sord'];		// get the direction 

	if (!$sidx) {
		$sidx = 'Nama';
	}

	$wherecond = '';
	if ( isset($_GET['Cabang']) and strlen($_GET['Cabang']) > 0 ) {
		$perintahdb = "SELECT KodeCabang FROM tblcabang WHERE NamaCabang LIKE '%" . $_GET['Cabang'] . "%'";
		$sqlquery = @DBQuery( $perintahdb );
		$wherecond2 = '';
		while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {
			if ( $wherecond2 != '' ) {
				$wherecond2 .= ' OR ';
			}
			$wherecond2 .= 'KodeCabang = ' . $sqlrow['KodeCabang'];
		}
		if ( $wherecond2 != '' ) {
			$wherecond .= '( ' . $wherecond2 . ' )';
		} else {
			$wherecond = 'KodeCabang = 0';
		}
	}
	
	if ( isset($_GET['Kode']) and strlen($_GET['Kode']) > 0 ) {
		if ( $wherecond != '' ) {
			$wherecond .= ' AND ';
		}
		$wherecond .= "Kode LIKE '%" . $_GET['Kode'] . "%'";
	}

	if ( isset($_GET['Nama']) and strlen($_GET['Nama']) > 0 ) {
		if ( $wherecond != '' ) {
			$wherecond .= ' AND ';
		}
		$wherecond .= "Nama LIKE '%" . $_GET['Nama'] . "%'";
	}

	if ( isset($_GET['Daerah']) and strlen($_GET['Daerah']) > 0 ) {
		if ( $wherecond != '' ) {
			$wherecond .= ' AND ';
		}
		$wherecond .= "Daerah LIKE '%" . $_GET['Daerah'] . "%'";
	}

	if ( isset($_GET['Kelompok']) and strlen($_GET['Kelompok']) > 0 ) {
		if ( $wherecond != '' ) {
			$wherecond .= ' AND ';
		}
		$wherecond .= "Group_Pel LIKE '%" . $_GET['Kelompok'] . "%'";
	}

	if ( isset($_GET['Sales']) and strlen($_GET['Sales']) > 0 ) {
		if ( $wherecond != '' ) {
			$wherecond .= ' AND ';
		}
		$wherecond .= "Sales = " . $_GET['Sales'];
	}

	if ( isset($_GET['Hubungi']) and strlen($_GET['Hubungi']) > 0 ) {
		if ( $wherecond != '' ) {
			$wherecond .= ' AND ';
		}
		$wherecond .= "Hubungi LIKE '%" . $_GET['Hubungi'] . "%'";
	}

	if ( isset($_GET['Catatan']) and strlen($_GET['Catatan']) > 0 ) {
		if ( $wherecond != '' ) {
			$wherecond .= ' AND ';
		}
		$wherecond .= "Catatan LIKE '%" . $_GET['Catatan'] . "%'";
	}

	if ( $wherecond != '' ) {
		$wherecond = 'WHERE ' . $wherecond;
	}

	if ( isset($_GET['SemuaData']) and $_GET['SemuaData'] > 0 ) {
		$wherecond = '';
	}

	$perintahdb = "SELECT COUNT(*) AS Count FROM $tblname $wherecond";

	$sqlquery = DBQuery( $perintahdb );

	$row = DBFetchAssoc( $sqlquery );

	$count = $row['Count'];

	if( $count > 0 ) {
		$total_pages = ceil( $count / $limit );
	} else {
		$total_pages = 0;
	}

	if ( $page > $total_pages ) {
		$page = $total_pages;
	}

	$start = $limit * $page - $limit;

	if ( $start < 0 ) {
		$start = 0;
	}

	$perintahdb = "SELECT Kode, Nama, Daerah, (SELECT NamaCabang FROM tblcabang WHERE tblcabang.KodeCabang = $tblname.KodeCabang ) AS Cabang FROM $tblname $wherecond 
					ORDER BY $sidx $sord LIMIT $start, $limit";

	$sqlquery = DBQuery( $perintahdb );

	$responce = new StdClass;
	$responce->page = $page;
	$responce->total = $total_pages;
	$responce->records = $count;

	$i=0;

	while( $sqlrow = DBFetchAssoc( $sqlquery ) ) {

		$awalpoint = '-';

		$perintahdb1 = "SELECT KodeCabang, PelangKode, Sum(Point) AS TotalPoint FROM tblpeladd WHERE ( PelangKode = '" . $sqlrow['Kode'] . "' )";
		$perintahdb2 = "SELECT KodeCabang, PelangKode, Sum(Point) AS TotalPoint FROM tblpelded WHERE ( PelangKode = '" . $sqlrow['Kode'] . "' )";
		$perintahdb3 = "SELECT KodeCabang, PelangKode, Sum(Point) AS TotalPoint FROM tblpenjua WHERE ( PelangKode = '" . $sqlrow['Kode'] . "' )";

		$sqlquery1 = @DBQuery( $perintahdb1 );
		$sqlquery2 = @DBQuery( $perintahdb2 );
		$sqlquery3 = @DBQuery( $perintahdb3 );

		if ( ( $sqlrow1 = @DBFetchAssoc( $sqlquery1 ) ) and ( $sqlrow2 = @DBFetchAssoc( $sqlquery2 ) ) and ( $sqlrow3 = @DBFetchAssoc( $sqlquery3 ) ) ) {

			$debet = 0 + $sqlrow1['TotalPoint'] + $sqlrow3['TotalPoint'] ;
			$kredit = 0 + $sqlrow2['TotalPoint'];
			$sisapoint = 0;
			$sisapoint = $sisapoint + $sqlrow1['TotalPoint'];
			$sisapoint = $sisapoint - $sqlrow2['TotalPoint'];
			$sisapoint = $sisapoint + $sqlrow3['TotalPoint'];

		}
		if ( $debet == 0 ) {
			$debet = '-';
		}
		if ( $kredit == 0 ) {
			$kredit = '-';
		}
		if ( $sisapoint == 0 ) {
			$sisapoint = '-';
		}

		$responce->rows[$i]['id'] = $sqlrow['Kode'];
		$responce->rows[$i]['cell'] = 
			array(	"",
					$sqlrow['Kode'], 
					$sqlrow['Nama'], 
					$awalpoint, 
					$debet, 
					$kredit, 
					$sisapoint, 
					$sqlrow['Daerah'], 
					$sqlrow['Cabang'] );
		$i++;

	}

	@DBQueryFree($sqlquery);

	echo json_encode($responce);

?>